Name:           python-daemon
Version:        2.2.4
Release:        %mkrel 2
Summary:        Library to implement a well-behaved Unix daemon process
Group:          Development/Python
License:        Apache Software License and GPLv3+
URL:            http://pypi.python.org/pypi/python-daemon
Source0:        http://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
This library implements the well-behaved daemon specification of
PEP 3143, "Standard daemon process library".

%package -n     python3-daemon
Summary:        Library to implement a well-behaved Unix daemon process
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(lockfile)
BuildRequires:  python3dist(minimock)
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(twine)
%{?python_provide:%python_provide python3-daemon}

%description -n python3-daemon
This library implements the well-behaved daemon specification of
PEP 3143, "Standard daemon process library".

%prep
%setup -q

find . -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%build
%py3_build

%install
%py3_install

%files -n python3-daemon
%doc ChangeLog LICENSE.GPL-3 LICENSE.ASF-2 doc/*
%{python3_sitelib}/daemon/
%{python3_sitelib}/python_daemon-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Feb 17 2020 umeabot <umeabot> 2.2.4-2.mga8
+ Revision: 1537296
- Mageia 8 Mass Rebuild

* Tue Oct 29 2019 daviddavid <daviddavid> 2.2.4-1.mga8
+ Revision: 1456469
- new version: 2.2.4

* Sun Sep 15 2019 daviddavid <daviddavid> 2.2.3-2.mga8
+ Revision: 1441244
- rebuild for python3.8
- drop python2 support

* Mon Jan 21 2019 daviddavid <daviddavid> 2.2.3-1.mga7
+ Revision: 1358729
- new version: 2.2.3

* Tue Jan 08 2019 shlomif <shlomif> 2.2.0-2.mga7
+ Revision: 1352358
- Rebuild for python3 3.7

* Wed Oct 10 2018 daviddavid <daviddavid> 2.2.0-1.mga7
+ Revision: 1319181
- new version: 2.2.0
- rename python-daemon to python2-daemon

* Thu Sep 20 2018 umeabot <umeabot> 2.1.2-3.mga7
+ Revision: 1288564
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.1.2-2.mga7
+ Revision: 1135361
- Rebuild for python 3.6

* Tue Jan 03 2017 daviddavid <daviddavid> 2.1.2-1.mga6
+ Revision: 1079838
- new version: 2.1.2

* Sun Jan 31 2016 daviddavid <daviddavid> 2.1.1-1.mga6
+ Revision: 929330
- new version: 2.1.1

* Fri Nov 27 2015 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 906447
- new version: 2.1.0

* Fri Oct 09 2015 daviddavid <daviddavid> 2.0.6-1.mga6
+ Revision: 888007
- new version: 2.0.6
- fix License
- add BuildRequires python(3)-docutils
- update file list

* Fri Oct 09 2015 daviddavid <daviddavid> 1.6-10.mga6
+ Revision: 888003
- make it noarch thus fixing empty debuginfo
- use new python macros
+ tv <tv>
- rebuild for python 3.5

* Mon Jan 05 2015 joequant <joequant> 1.6-9.mga5
+ Revision: 808674
- add python3 package

* Wed Oct 15 2014 umeabot <umeabot> 1.6-7.mga5
+ Revision: 748681
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6-6.mga5
+ Revision: 728224
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6-5.mga5
+ Revision: 687958
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.6-3.mga4
+ Revision: 543079
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6-2.mga4
+ Revision: 498353
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Feb 22 2013 kharec <kharec> 1.6-1.mga3
+ Revision: 399908
- imported package python-daemon

